Subject: Clock parts

From: [email-masked] (David Thompson)
Date: 27 Dec 1992 21:02 PST

Karen,

	Quartz clock mechanisms, hands, and other parts can be obtained mail
order from a company called Klockit. Sorry, I do not have their address here,
but they advertise all of the time in most (if not all) woodworking magazines.
I have had good luck with this company, they send stuff quickly and never a
problem with any of my orders. They have everything from small, inexpensive
movements to all-out grandfather clock guts. E-mail if you need an address,
and I'll get it back to you (or post it if others are interested?). Good Luck!